DewaVPS

Create invoice payment

POST
/billing/v2/topup

Create a new top-up invoice with the specified amount and payment method.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.dewavps.com/v1/billing/v2/topup" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'payment_method=string'
{
  "message": "Invoice created",
  "data": {
    "merchant_code": "string",
    "reference_number": "string",
    "payment_url": "http://example.com",
    "amount": 0,
    "details": {
      "amount": 0,
      "payment_fee": 0,
      "vat": 0
    },
    "va_number": "string",
    "qr_string": "string",
    "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32"
  }
}